> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/sdk-lite/sdk-lite-english-pt-br/configuracao/android/configuration.md).

# Configuração

## Requisitos

Antes de integrar, certifique-se de que seu ambiente atenda aos requisitos mínimos para o SDK Face Liveness Lite:

| Requisito                                    | Versão |
| -------------------------------------------- | ------ |
| Versão mínima do SDK (minSdk)                | 26     |
| Versão de compilação do Android (compileSDK) | 36     |
| Versão mínima do Kotlin                      | 1.9.10 |
| Versão do Gradle                             | 8.4    |
| Android Gradle Plugin (AGP)                  | 8.3.2  |

## Permissões

Para habilitar a funcionalidade de rede e câmera necessária, declare as permissões apropriadas e os recursos de hardware no `AndroidManifest.xml` do seu projeto.

Adicione as seguintes linhas dentro da sua `<manifest>` tag:

{% code title="AndroidManifest.xml" %}

```xml
<uses-feature android:name="android.hardware.camera" />
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.CAMERA" />
```

{% endcode %}

## Adicionando repositórios

Para baixar o SDK Face Liveness Lite, adicione a URL do repositório necessária ao bloco `dependencyResolutionManagement` localizado no arquivo raiz do `settings.gradle.kts` do seu projeto:

{% tabs %}
{% tab title="Kotlin Script" %}
{% code title="settings.gradle.kts" %}

```kts
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        maven { url = uri("https://repo.combateafraude.com/android/release") }
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Groovy" %}
{% code title="settings.gradle" %}

```groovy
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        maven { url "https://repo.combateafraude.com/android/release" }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Adicionando a dependência

Adicione o SDK ao bloco `dependencies` do arquivo de build do módulo do seu app. Veja [Versão atual](/sdk-lite/sdk-lite-english-pt-br/configuracao/android/current-version.md) para a versão mais recente.

{% tabs %}
{% tab title="Kotlin Script" %}
{% code title="app/build.gradle.kts" %}

```kts
dependencies {
    implementation("io.caf.sdk:caf-face-liveness-lite:7.27.0")
}
```

{% endcode %}
{% endtab %}

{% tab title="Groovy" %}
{% code title="app/build.gradle" %}

```groovy
dependencies {
    implementation "io.caf.sdk:caf-face-liveness-lite:7.27.0"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Próxima etapa

Configure e inicie o fluxo de liveness: [Iniciando o Fluxo de Liveness](/sdk-lite/sdk-lite-english-pt-br/configuracao/android/configuration/starting-liveness-flow.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/sdk-lite/sdk-lite-english-pt-br/configuracao/android/configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
